osl::eval::ml::OpenMidEndingPtypeTable Class Reference

`#include <openMidEndingEval.h>`

Inheritance diagram for osl::eval::ml::OpenMidEndingPtypeTable:

## Public Member Functions

| OpenMidEndingPtypeTable ()
Public Member Functions inherited from osl::eval::PtypeEvalTable
| PtypeEvalTable ()
| ~PtypeEvalTable ()
void | init ()
int | value (PtypeO ptypeO) const
| 先手から見たptypeOの駒の価値
int | value (Ptype ptype) const
| ptypeの駒の価値
int | promoteValue (PtypeO ptypeO) const
| ptypeOにpromoteした時の評価値の増減
int | captureValue (PtypeO ptypeO) const
| ownerのptypeOがcaptureされた時の評価値の増減
int | diffWithMove (const NumEffectState &, Move move) const
void | reset (const CArray< int, PTYPE_SIZE > &values)

## Additional Inherited Members

Protected Attributes inherited from osl::eval::PtypeEvalTable
CArray< int, PTYPEO_SIZE > | ptypeO2Val
CArray< int, PTYPEO_SIZE > | promoteVal
CArray< int, PTYPEO_SIZE > | captureVal

## Detailed Description

Definition at line 29 of file openMidEndingEval.h.

## Constructor & Destructor Documentation

## OpenMidEndingPtypeTable()

osl::eval::ml::OpenMidEndingPtypeTable::OpenMidEndingPtypeTable | ( |  | ) |

Definition at line 19 of file openMidEndingEval.cc.

References osl::eval::PtypeEvalTable::reset().

The documentation for this class was generated from the following files:

- openMidEndingEval.h
- openMidEndingEval.cc